> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest policy set

> Latest version of the policy set.

### Path parameters

<ParamField path="policy_set_key" type="string (string)" required />

### Response

`object`

<ResponseField name="id" type="string (uuid)" required />

<ResponseField name="policy_set_key" type="string" required />

<ResponseField name="version" type="integer" required />

<ResponseField name="status" type="string" required />

<ResponseField name="definition" type="object" required />

<ResponseField name="created_at" type="string (date-time)" required />

<ResponseField name="updated_at" type="string (date-time)" required />

### Status codes

| Code  | Meaning                           |
| ----- | --------------------------------- |
| `200` | Latest version of the policy set. |
| `400` | Validation error                  |
| `401` | Unauthorized                      |
| `404` | Not found                         |
| `429` | Rate limited                      |
| `500` | Internal error                    |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/policy-sets/{policy_set_key}' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "policy_set_key": "string",
    "version": 1,
    "status": "pending",
    "definition": {},
    "created_at": "2026-08-31T14:22:05Z",
    "updated_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
